{% extends "shuup/front/base.jinja" %}

{% block title %}{{ page.title }}{% endblock %}

{% block content_title %}
    {% if page.render_title %}
        {{ page.title }}
    {% endif %}
{% endblock %}

{% block extrameta %}
    {{ macros.render_metadata(page, page.title, page.get_html(), "page") }}
{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-md-3 category-sidebar">
            {{ category_macros.render_category_menu() }}
        </div>
        <div class="col-md-9">
            {{ page.get_html()|safe }}
            {% if page.list_children_on_page %}
                {# TODO: add pagination for children list #}
                {% for child in page.children.visible(request.shop).order_by("-available_from") %}
                    <div class="clearfix">
                        <a href="/{{ child.url }}"><h2>{{ child.title }}</h2></a>
                        {% if child.available_from and page.show_child_timestamps %}
                            <small>{{ child.available_from|datetime }}</small>
                        {% endif %}
                        <p>{{ child.get_html()|safe|striptags|truncate(256) }}</p>
                    </div>
                {% endfor %}
            {% endif %}
            {% placeholder "cms_page" %}{% endplaceholder %}
        </div>
    </div>
{% endblock %}
